From a5e79a7ac22f65837b6e1efbf6d65e7f828ea347 Mon Sep 17 00:00:00 2001
From: Sebastian Pop <spop@amazon.com>
Date: Sat, 10 Jul 2021 21:54:48 +0000
Subject: [PATCH] [arm64] enable luma_hv for all sizes

before the patch:
luma_hv [  8x8]		16.08x 	 318.26   	 5117.80
luma_hv [  8x4]		14.94x 	 220.35   	 3292.54
luma_hv [ 8x16]		16.89x 	 519.45   	 8773.31
luma_hv [12x16]		14.70x 	 962.32   	 14149.10
luma_hv [ 8x32]		19.10x 	 917.16   	 17519.01

with the patch:
luma_hv [  4x4]		8.29x 	 203.25   	 1684.26
luma_hv [  8x8]		15.92x 	 319.45   	 5086.50
luma_hv [16x16]		17.71x 	 984.39   	 17429.32
luma_hv [32x32]		18.54x 	 3411.28  	 63255.92
luma_hv [64x64]		19.29x 	 12628.54 	 243586.52
luma_hv [  8x4]		14.89x 	 219.60   	 3268.85
luma_hv [  4x8]		8.75x 	 297.49   	 2602.33
luma_hv [ 16x8]		16.86x 	 598.21   	 10085.83
luma_hv [ 8x16]		16.68x 	 520.16   	 8678.79
luma_hv [32x16]		18.16x 	 1906.65  	 34631.16
luma_hv [16x32]		17.31x 	 1842.00  	 31880.58
luma_hv [64x32]		19.03x 	 6696.71  	 127412.67
luma_hv [32x64]		19.02x 	 6406.64  	 121846.34
luma_hv [16x12]		17.40x 	 791.32   	 13772.11
luma_hv [12x16]		13.54x 	 964.49   	 13058.28
luma_hv [ 16x4]		15.78x 	 410.06   	 6469.77
luma_hv [ 4x16]		9.22x 	 482.95   	 4450.62
luma_hv [32x24]		18.39x 	 2661.41  	 48955.65
luma_hv [24x32]		18.51x 	 2585.15  	 47854.70
luma_hv [ 32x8]		17.49x 	 1150.18  	 20111.31
luma_hv [ 8x32]		17.36x 	 921.36   	 15992.87
luma_hv [64x48]		19.21x 	 9635.09  	 185077.92
luma_hv [48x64]		19.13x 	 9513.58  	 181971.16
luma_hv [64x16]		18.52x 	 3729.03  	 69050.16
luma_hv [16x64]		18.49x 	 3308.71  	 61182.30
---
 source/common/aarch64/asm-primitives.cpp | 12 ------------
 1 file changed, 12 deletions(-)

diff --git a/source/common/aarch64/asm-primitives.cpp b/source/common/aarch64/asm-primitives.cpp
index c7da54b..5a582b6 100644
--- a/source/common/aarch64/asm-primitives.cpp
+++ b/source/common/aarch64/asm-primitives.cpp
@@ -28,14 +28,6 @@
 #include "x265.h"
 #include "cpu.h"
 
-
-#if defined(__GNUC__)
-#define GCC_VERSION (__GNUC__ * 10000 + __GNUC_MINOR__ * 100 + __GNUC_PATCHLEVEL__)
-#endif
-
-#define GCC_4_9_0 40900
-#define GCC_5_1_0 50100
-
 extern "C" {
 #include "pixel.h"
 #include "pixel-util.h"
@@ -117,7 +109,6 @@ void setupAssemblyPrimitives(EncoderPrimitives &p, int cpuMask)
         p.pu[LUMA_8x16].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_8x16>;
         p.pu[LUMA_8x32].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_8x32>;
         p.pu[LUMA_12x16].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_12x16>;
-#if !AUTO_VECTORIZE || GCC_VERSION < GCC_5_1_0 /* gcc_version < gcc-5.1.0 */
         p.pu[LUMA_16x4].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_16x4>;
         p.pu[LUMA_16x8].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_16x8>;
         p.pu[LUMA_16x12].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_16x12>;
@@ -133,14 +124,11 @@ void setupAssemblyPrimitives(EncoderPrimitives &p, int cpuMask)
         p.pu[LUMA_64x32].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_64x32>;
         p.pu[LUMA_64x48].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_64x48>;
         p.pu[LUMA_64x64].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_64x64>;
-#if !AUTO_VECTORIZE || GCC_VERSION < GCC_4_9_0 /* gcc_version < gcc-4.9.0 */
         p.pu[LUMA_4x4].luma_hvpp   =  interp_8tap_hv_pp_cpu<LUMA_4x4>;
         p.pu[LUMA_4x8].luma_hvpp   =  interp_8tap_hv_pp_cpu<LUMA_4x8>;
         p.pu[LUMA_4x16].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_4x16>;
         p.pu[LUMA_24x32].luma_hvpp =  interp_8tap_hv_pp_cpu<LUMA_24x32>;
         p.pu[LUMA_32x8].luma_hvpp  =  interp_8tap_hv_pp_cpu<LUMA_32x8>;
-#endif
-#endif
 
 #if !HIGH_BIT_DEPTH
         p.cu[BLOCK_4x4].psy_cost_pp = PFX(psyCost_4x4_neon);
-- 
2.25.1

